#include "Bouton.h"





Bouton::Bouton(int x, int y, int choixArme,std::string armeAssignee, SDL_Surface* ecran, Joueur* lanceur) : m_ecran(ecran),proprio(lanceur),m_armeAssignee(armeAssignee)
{
    m_positionIcone.x=x;
    m_positionIcone.y=y;
    switch (choixArme)
    {
        case 0:
            imageIcone=SDL_LoadBMP("Images/IconeBaroudeur.bmp");
            break;
        case 1:
            imageIcone=SDL_LoadBMP("Images/IconeUsiane.bmp");
            break;
        case 2:
            imageIcone=SDL_LoadBMP("Images/IconeTriphaseur.bmp");
            break;
    }

}
Bouton::~Bouton()
{
    SDL_FreeSurface(imageIcone);
}

void Bouton::afficher()
{
    if (Cliquable::m_tempsFire==0)
    {
        this->clic();
    }
    SDL_BlitSurface(imageIcone,0,m_ecran,&m_positionIcone);
}

void Bouton::clic()
{
    /*Teste si le click est sur l'icone, puis fait l'assignation de l'arme.*/
    if (Cliquable::m_yFire>m_positionIcone.y)
    {
        if (Cliquable::m_xFire>m_positionIcone.x&&Cliquable::m_xFire<(m_positionIcone.x+140))
        {
            proprio->setArme(m_armeAssignee);
        }
    }


}
